cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/suggested/{pubkey} \
--header 'x-api-key: <api-key>'{
"data": [
{
"eventId": "<string>",
"isActive": true,
"isLive": true,
"category": "<string>",
"subcategory": "<string>",
"volumeUsd": "<string>",
"closeCondition": "<string>",
"beginAt": "<string>",
"rulesPdf": "<string>",
"tags": [
"<string>"
],
"metadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"markets": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
]
}
]
}Events
Get Suggested Events
Get personalized event suggestions based on user activity
GET
/
events
/
suggested
/
{pubkey}
cURL
curl --request GET \
--url https://api.jup.ag/prediction/v1/events/suggested/{pubkey} \
--header 'x-api-key: <api-key>'{
"data": [
{
"eventId": "<string>",
"isActive": true,
"isLive": true,
"category": "<string>",
"subcategory": "<string>",
"volumeUsd": "<string>",
"closeCondition": "<string>",
"beginAt": "<string>",
"rulesPdf": "<string>",
"tags": [
"<string>"
],
"metadata": {
"eventId": "<string>",
"title": "<string>",
"subtitle": "<string>",
"slug": "<string>",
"series": "<string>",
"closeTime": "<string>",
"imageUrl": "<string>",
"isLive": true
},
"markets": [
{
"marketId": "<string>",
"openTime": 123,
"closeTime": 123,
"resolveAt": 123,
"marketResultPubkey": "<string>",
"imageUrl": "<string>",
"metadata": {
"marketId": "<string>",
"title": "<string>",
"status": "<string>",
"result": "<string>",
"closeTime": 123,
"openTime": 123,
"isTeamMarket": true,
"rulesPrimary": "<string>",
"rulesSecondary": "<string>"
},
"pricing": {
"buyYesPriceUsd": 123,
"buyNoPriceUsd": 123,
"sellYesPriceUsd": 123,
"sellNoPriceUsd": 123,
"volume": 123
}
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://dev.jup.ag/docs/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Get API key via https://developers.jup.ag/portal
Path Parameters
Order public key to base suggested events on
Minimum string length:
1Query Parameters
Data provider for events (defaults to polymarket)
Available options:
kalshi, polymarket Response
200 - application/json
Suggested events derived from the user's order activity
Show child attributes
Show child attributes
Was this page helpful?
⌘I
